# Uses of Interface
org.opensaml.soap.wstrust.Reason

Packages that use Reason
Package
Description
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Reason in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return Reason
Modifier and Type
Method
Description
`Reason`
Status.`getReason()`
Returns the wst:Reason child element.
Methods in org.opensaml.soap.wstrust with parameters of type Reason
Modifier and Type
Method
Description
`void`
Status.`setReason(Reason reason)`
Sets the wst:Reason child element.

## Uses of Reason in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement Reason
Modifier and Type
Class
Description
`class`
`ReasonImpl`
ReasonImpl.
Fields in org.opensaml.soap.wstrust.impl declared as Reason
Modifier and Type
Field
Description
`private Reason`
StatusImpl.`reason`
The Reason child element.
Methods in org.opensaml.soap.wstrust.impl that return Reason
Modifier and Type
Method
Description
`Reason`
ReasonBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`Reason`
ReasonBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Reason`
StatusImpl.`getReason()`
Returns the wst:Reason child element.
Methods in org.opensaml.soap.wstrust.impl with parameters of type Reason
Modifier and Type
Method
Description
`void`
StatusImpl.`setReason(Reason newReason)`
Sets the wst:Reason child element.